org.jbpm.casemgmt.api.model

## Interface CaseDefinition

- All Known Implementing Classes:
    CaseDefinitionImpl

      public interface CaseDefinition

  Describes case structure and requirements.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_PREFIX`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Collection<AdHocFragment>` | `getAdHocFragments()` Returns available adhoc fragments that can be signaled.
    `Collection<CaseMilestone>` | `getCaseMilestones()` Returns available case milestones for this case.
    `Collection<CaseRole>` | `getCaseRoles()` Returns case roles for this case.
    `Collection<CaseStage>` | `getCaseStages()` Returns available case stages in this case.
    `Map<String,List<String>>` | `getDataAccessRestrictions()` Returns default case file data restrictions.
    `String` | `getDeploymentId()` Returns deployment id
    `String` | `getId()` Returns id of the case that shall be used to instantiate new instance of this case
    `String` | `getIdentifierPrefix()` Returns case identifier prefix to be used for every instance of this case.
    `String` | `getName()` Returns case name of this case.
    `Set<String>` | `getResolvedIdentifierPrefixes()` Returns case prefixes computed of this case instances
    `String` | `getVersion()` Returns version of this case
    `boolean` | `isIdentifierPrefixSequence()` Returns if the prefix is a sequence or not

- - ### Field Detail

    - #### DEFAULT_PREFIX

          static final String DEFAULT_PREFIX

  - ### Method Detail

    - #### getId

          String getId()

      Returns id of the case that shall be used to instantiate new instance of this case

    - #### getVersion

          String getVersion()

      Returns version of this case

    - #### getName

          String getName()

      Returns case name of this case.

    - #### getIdentifierPrefix

          String getIdentifierPrefix()

      Returns case identifier prefix to be used for every instance of this case.

    - #### isIdentifierPrefixSequence

          boolean isIdentifierPrefixSequence()

      Returns if the prefix is a sequence or not

    - #### getResolvedIdentifierPrefixes

          Set<String> getResolvedIdentifierPrefixes()

      Returns case prefixes computed of this case instances

    - #### getDeploymentId

          String getDeploymentId()

      Returns deployment id

    - #### getCaseStages

          Collection<CaseStage> getCaseStages()

      Returns available case stages in this case.

    - #### getCaseMilestones

          Collection<CaseMilestone> getCaseMilestones()

      Returns available case milestones for this case.

    - #### getCaseRoles

          Collection<CaseRole> getCaseRoles()

      Returns case roles for this case.

    - #### getAdHocFragments

          Collection<AdHocFragment> getAdHocFragments()

      Returns available adhoc fragments that can be signaled.

    - #### getDataAccessRestrictions

          Map<String,List<String>> getDataAccessRestrictions()

      Returns default case file data restrictions.

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.